Name:           rabbitmq-clusterer
Version:        3.6.9
Release:        1%{?dist}
Summary:        Declarative clustering plugin
License:        MOZILLA PUBLIC LICENSE Version 1.1
URL:            https://github.com/rabbitmq/rabbitmq-clusterer
BuildRequires:  erlang,libxslt


%define build_tag rabbitmq_v3_6_9


%description
This plugin provides an alternative means for creating and maintaining RabbitMQ
clusters. It is highly opinionated and was created with specific opinionated
infrastructure provisioning tooling in mind.


%prep


%build
git clone git://ca-git.us.oracle.com/rabbitmq-clusterer
cd rabbitmq-clusterer
git checkout -b %{build_tag} %{build_tag}
# NOTE(pbourke): clone ranch manually as the naming scheme in our mirror makes
# the build not able to find it
git clone --branch 1.3.1 git://ca-git.us.oracle.com/ninenines-ranch deps/ranch
cat << EOF | git apply
diff --git a/rabbitmq-components.mk b/rabbitmq-components.mk
index f4db681..da5eca2 100644
--- a/rabbitmq-components.mk
+++ b/rabbitmq-components.mk
@@ -175,6 +175,7 @@ else
 current_rmq_ref := master
 endif
 endif
+current_rmq_ref := rabbitmq_v3_6_9
 export current_rmq_ref

 ifeq (\$(origin base_rmq_ref),undefined)
EOF
make
rev=$(git rev-parse --short HEAD)
mkdir rabbitmq_clusterer-3.6.9
cp -r ebin/ rabbitmq_clusterer-3.6.9
zip -r rabbitmq_clusterer-3.6.9.ez rabbitmq_clusterer-3.6.9/

%install
mkdir -p %{buildroot}/%{_prefix}/lib/rabbitmq/lib/rabbitmq_server-3.6.9/plugins/
install -p -m 755 rabbitmq-clusterer/rabbitmq_clusterer-3.6.9.ez %{buildroot}/%{_prefix}/lib/rabbitmq/lib/rabbitmq_server-3.6.9/plugins/


%files
%{_prefix}/lib/rabbitmq/lib/rabbitmq_server-3.6.9/plugins/rabbitmq_clusterer-3.6.9.ez


%changelog
* Thu Jun 22 2017 <paul.bourke@oracle.com> 3.6.9-1
- Initial spec
